isFirmanteSeleccionado = function(){
	return $("input[name='firmante']:radio").is(':checked');
};

fn_deshacer=function(mensaje){
		var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
		var id014=$("#id014").val();
		$.rup_messages("msgConfirm", {
			message: mensaje,
			title: "",
			OKFunction: function () {
				$.rup_ajax({
					url : $.rup.CTX_PATH + "expedientes/detalle/tramitacion/eliminarTramite",
					dataType: 'json',
					data: {"id014":id014, "idestado":idestado, "idProv":$("#idProv010").val(), "idAno":$("#idAno010").val(), "id010":$("#id010").val()},
			    	type: "GET",
			    	contentType: 'application/json',
					success: function (mapaRespuesta){
						if (mapaRespuesta.resultado == "ASK"){
							// Si existe comunicacion hay que avisar al usuario				
							$.rup_messages("msgConfirm", {
								message: $.rup.i18n.app.mensajes.confirmacionComunicaciones,
								title: "",
								OKFunction: function () {
									$.rup_ajax({
										url : $.rup.CTX_PATH + "expedientes/detalle/tramitacion/eliminarTramite",
										dataType: 'json',
										data: {"id014":id014, "idestado":idestado, "deleteCom":"S", "idProv":$("#idProv010").val(), "idAno":$("#idAno010").val(), "id010":$("#id010").val()},
								    	type: "GET",
								    	cache:false,
								    	contentType: 'application/json',
										success: function (mapaRespuesta){
											ab03bUtils.feedback.pintarFeedback( $.rup.i18n.app.mensajes.okGenerico, "OK", $("#tramitacion_feedback"));
											location.href = $.rup.CTX_PATH + "ab03b10t00/irDetalle/" + idExpediente;
										},
										error: function(error){
											ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
										},
										beforeSend : function() {
											ab03bUtils.util.bloquearInterfaz();
										},
										complete: function() {
											ab03bUtils.util.desBloquearInterfaz();
										}
									});
								}
							});
						} else {
							ab03bUtils.feedback.pintarFeedback( $.rup.i18n.app.mensajes.okGenerico, "OK", $("#tramitacion_feedback"));
							location.href = $.rup.CTX_PATH + "ab03b10t00/irDetalle/" + idExpediente;							
						}
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
			}
		});
	};
	

fn_borrar = function (mensaje){
		var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
		var idFase=$("#id001Fase").val();
		var id014=$("#id014").val();
		$.rup_messages("msgConfirm", {
			message: mensaje,
			title: "",
			OKFunction: function () {
				$.rup_ajax({
					url : $.rup.CTX_PATH + "expedientes/detalle/tramitacion/eliminarDoc",
					cache:false,
					dataType: 'json',
					data: {"idExpediente": idExpediente, 
						   "id014":id014},
			    	type: "GET",
			    	contentType: 'application/json',
					success: function (mapaRespuesta){
						location.href = "../../../../" + idExpediente+ "/"+id014+"/"+estadoCierreRealizado+"?tab=0";
					},
					error: function(error){
						ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#tramitacion_feedback"));
					},
					beforeSend : function() {
						ab03bUtils.util.bloquearInterfaz();
					},
					complete: function() {
						ab03bUtils.util.desBloquearInterfaz();
					}
				});
			}
		});
	};

	
fncSubirDocumentoDokusi	= function (){
		var id015= pk_id015;
		var id007= pk_tipoDocDokusi;
		var rutaPif="ab03b";
		var idPIF = pk_numDocPIF;
		
		var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
		var idFase=$("#id001Fase").val();
		var id014=$("#id014").val();
		 
		$.rup_ajax({
			url: $.rup.CTX_PATH + "expedientes/detalle/tramitacion/subirADokusi",
			dataType: 'json',
			data:{
				"idExpediente" : idExpediente,
				"idPIF" : idPIF,
				"id007" : pk_tipoDocDokusi,
				"id015" : id015,
				"rutaPif":rutaPif
			},
			cache:false,
			type:"GET",
			contentType: 'application/json',
			success: function(xhr, ajaxOoptions){
				location.href = $.rup.CTX_PATH + "expedientes/detalle/tramitacion/irTramite/" + idExpediente+"/"+id014+"/"+estadoCierreRealizado+"?tab=0";
			},
			error: function(error){
				ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
			},
			beforeSend : function() {
				ab03bUtils.util.bloquearInterfaz();
			},
			complete: function() {
				ab03bUtils.util.desBloquearInterfaz();
			}
		});
	};
	
contarDocs = function (){
		var docs = pk_numDocPIF;
		if(docs!=pk_numDocPIF != undefined && pk_numDocPIF != null && pk_numDocPIF != ''){
			return true;
		}
		return false;
};

enDokusi = function (){
	var docsDokusi = pk_nomDocDokusi;
	if(docsDokusi!= pk_nomDocDokusi != undefined && pk_nomDocDokusi != null && pk_nomDocDokusi!= ''){
		return true;
	}
	return false;
};


fncDescargaDocumentoPif = function (){
	var id015= pk_id015;
	var rutaPif="ab03b";
	
	$.rup_ajax({
		url: $.rup.CTX_PATH + "documento/editarPif",
		dataType: 'json',
		data:{
			"idExpediente" : idExpediente,
			"id015" : id015,
			"rutaPif":rutaPif
		},
		cache:false,
		type:"GET",
		contentType: 'application/json',
		success: function(xhr, ajaxOoptions){
			fncEditarPifSuccess(xhr.rutaCompleta);
			pk_numDocPIF=xhr.nombreDocumentoNuevo;
			$("#nombreDocumento").html(xhr.nombreDocumentoNuevo);
			
		},
		error: function(error){
			ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
		},
		beforeSend : function() {
			ab03bUtils.util.bloquearInterfaz();
		},
		complete: function() {
			ab03bUtils.util.desBloquearInterfaz();
		}
	});
};

fncEditarPifSuccess = function (rutaPifCopia){
	var v = window.open(rutaPifCopia);
	if (v!=null)
	{
	v.close();	
	}
};

fncDescargaDocumentoDokusi = function (){
	var id015= pk_id015;
	window.location.assign($.rup.CTX_PATH + "documento/descargarFichero?codDocumento=" + id015 );
};

fncVistoBueno = function (){
	var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
	var id014=$("#id014").val();
	 
	$.rup_ajax({
		url: $.rup.CTX_PATH + "expedientes/detalle/tramitacion/vistoBueno",
		dataType: 'json',
		data:{
			"idExpediente" : idExpediente,
			"id014" : id014
		},
		cache:false,
		type:"GET",
		contentType: 'application/json',
		success: function(xhr, ajaxOoptions){
			location.href = $.rup.CTX_PATH + "expedientes/detalle/tramitacion/irTramite/" + idExpediente+"/"+id014+"/"+estadoCierreRealizado+"?tab=0";
		},
		error: function(error){
			ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
		},
		beforeSend : function() {
			ab03bUtils.util.bloquearInterfaz();
		},
		complete: function() {
			ab03bUtils.util.desBloquearInterfaz();
		}
	});
};